Skip to content
Start here

Download matches for string queries by ID

client.BrandProtection.Matches.Download(ctx, params) (*MatchDownloadResponse, error)
GET/accounts/{account_id}/brand-protection/matches/download

Return matches as CSV for string queries based on ID

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel WriteIntel Read
ParametersExpand Collapse
params MatchDownloadParams
AccountID param.Field[string]

Path param

minLength1
ID param.Field[string]optional

Query param

IncludeDomainID param.Field[bool]optional

Query param

Limit param.Field[int64]optional

Query param

Offset param.Field[int64]optional

Query param

ReturnsExpand Collapse
type MatchDownloadResponse struct{…}
Matches []map[string, unknown]optional
Total int64optional

Download matches for string queries by ID

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/brand_protection"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.BrandProtection.Matches.Download(context.TODO(), brand_protection.MatchDownloadParams{
    AccountID: cloudflare.F("x"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Matches)
}
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
Returns Examples
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}